Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.olap
Class MeasureHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ReportElementHandle
              org.eclipse.birt.report.model.api.olap.MeasureHandle

All Implemented Interfaces:
  org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel, org.eclipse.birt.report.model.elements.interfaces.IMeasureModel

Direct Known Subclasses:
  OdaMeasureHandle, TabularMeasureHandle

    public abstract class MeasureHandle

extends ReportElementHandle
implements org.eclipse.birt.report.model.elements.interfaces.IMeasureModel

This class represents a measure element.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IMeasureModel
`DATA_TYPE_PROP, FUNCTION_PROP, IS_CALCULATED_PROP, MEASURE_EXPRESSION_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`MeasureHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Constructs a handle for the given design and design element.

Method Summary
`java.lang.String` | `getDataType()` Returns the data type information of this measure.
`java.lang.String` | `getFunction()` Gets the function defined in this measure.
`java.lang.String` | `getMeasureExpression()` Gets the measure expression of this measure element.
`boolean` | `isCalculated()` Indicates whether this measure is computed by other measures or not.
`void` | `setCalculated(boolean isCalculated)` Sets whether this measure is computed by other measures or not.
`void` | `setDataType(java.lang.String dataType)` Sets the data type of this measure.
`void` | `setFunction(java.lang.String function)` Sets the function for this measure.
`void` | `setMeasureExpression(java.lang.String expression)` Sets the measure expression for this measure.

Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeasureHandle

    public MeasureHandle(org.eclipse.birt.report.model.core.Module module,
                         org.eclipse.birt.report.model.core.DesignElement element)

  Constructs a handle for the given design and design element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

  Parameters:
    `module` - the module
    `element` - the model representation of the element

Method Detail

### getFunction

    public java.lang.String getFunction()

  Gets the function defined in this measure.

  Returns:
    function for this measure

### setFunction

    public void setFunction(java.lang.String function)
                     throws SemanticException

  Sets the function for this measure.

  Parameters:
    `function` - the function to set
  Throws:
    `SemanticException` - property is locked or value is invalid

### getMeasureExpression

    public java.lang.String getMeasureExpression()

  Gets the measure expression of this measure element.

  Returns:
    measure expression of this measure element

### setMeasureExpression

    public void setMeasureExpression(java.lang.String expression)
                              throws SemanticException

  Sets the measure expression for this measure.

  Parameters:
    `expression` - the measure expression to set
  Throws:
    `SemanticException` - property is locked

### isCalculated

    public boolean isCalculated()

  Indicates whether this measure is computed by other measures or not.

  Returns:
    true if this measure is computed by other measures, otherwise false

### setCalculated

    public void setCalculated(boolean isCalculated)
                       throws SemanticException

  Sets whether this measure is computed by other measures or not.

  Parameters:
    `isCalculated` - true if this measure is computed by other measures, otherwise false
  Throws:
    `SemanticException` - property is locked

### getDataType

    public java.lang.String getDataType()

  Returns the data type information of this measure. The possible values are defined in `DesignChoiceConstants`, and they are:
  - COLUMN_DATA_TYPE_INTEGER
  - COLUMN_DATA_TYPE_STRING
  - COLUMN_DATA_TYPE_DATETIME
  - COLUMN_DATA_TYPE_DECIMAL
  - COLUMN_DATA_TYPE_FLOAT
  - COLUMN_DATA_TYPE_STRUCTURE
  - COLUMN_DATA_TYPE_TABLE

  Returns:
    the data type of this measure.

### setDataType

    public void setDataType(java.lang.String dataType)
                     throws SemanticException

  Sets the data type of this measure. The allowed values are defined in `DesignChoiceConstants`, and they are:
  - COLUMN_DATA_TYPE_INTEGER
  - COLUMN_DATA_TYPE_STRING
  - COLUMN_DATA_TYPE_DATETIME
  - COLUMN_DATA_TYPE_DECIMAL
  - COLUMN_DATA_TYPE_FLOAT
  - COLUMN_DATA_TYPE_STRUCTURE
  - COLUMN_DATA_TYPE_TABLE

  Parameters:
    `dataType` - the data type to set
  Throws:
    `SemanticException` - if the dataType is not in the choice list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.